using MotorPlantContracts.BindingModels;
using MotorPlantContracts.SearchModels;
using MotorPlantContracts.ViewModels;

namespace MotorPlantContracts.BusinessLogicsContracts
{
    public interface IEngineLogic
    {
        List<EngineViewModel>? ReadList(EngineSearchModel? model);
        EngineViewModel? ReadElement(EngineSearchModel model);
        bool Create(EngineBindingModel model);
        bool Update(EngineBindingModel model);
        bool Delete(EngineBindingModel model);
    }
}
